Subject: Re: [Bitcoin-development] Change to multiple executables?

From: Pieter Wuille <[email-masked]>
Date: Thu, 11 Aug 2011 15:50:54 +0200

On Wed, Aug 10, 2011 at 11:36, John Smith <[email-masked]> wrote:
> All,
>
> In the current mainline client everything is lugged into one executable
> (with an optional daemon-only one). I think this is a bad idea for various
> reasons, and would propose something like:
>
> bitcoind: bitcoin daemon
> bitcoin(-qt): bitcoin GUI executable
> bitcoincl: bitcoin RPC command line

Back on topic:

I initially misunderstood your proposal. Let me reformulate, and
suggest some names:
* bitcoin-gui (or bitcoin-qt): always starts GUI, optionally starts
RPC server, no RPC client
* bitcoin-server: always starts RPC server, no RPC client, no GUI
* bitcoin-client: always runs RPC client, no RPC server, no GUI

Additionally, we could offer a script or symlinked executable with
names "bitcoin" and
"bitcoind" that detect whether RPC commands are present on the command line, and
based on this invoke either bitcoin-server/bitcoin-gui or
bitcoin-client (for backward
compatibility).

-- 
Pieter